package Lire::UI::DirectoryWidget;

use strict;

use base qw/ Lire::UI::FileWidget /;

use Locale::TextDomain 'lire';

sub invalid_label_str {
    return __( 'Invalid directory' );
}

sub browse_dialog {
    my $self = $_[0];

    my $file_field = $self->getobj( 'file_field' );

    return $self->root()->dirbrowser( '-title' => __( 'Select a Directory'),
                                      '-path' => $file_field->get() );
}

1;
